#
# spec file for package pam-laus (Version 0.76)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  db-devel laus laus-devel sgmltool sp
# usedforbuild    aaa_base aaa_version acl attr bash bind9-utils bison cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib db-devel gcc gdbm gettext laus laus-devel libtool perl rpm sgmltool sp zlib

Name:         pam-laus
License:      Other License(s), see package
Group:        System/Libraries
Autoreqprov:  on
Version:      0.76
Release:      52
Summary:      A security tool which provides authentication for applications
Source:       Linux-PAM-%{version}.tar.bz2
Source1:      securetty
Source2:      other.pamd
Source3:      pam_localuser.tar.bz2
Source4:      pam_xauth.tar.bz2
Source5:      README.md5
Source6:      README.blowfish
Source7:      README.cracklib
Source8:      securetty.serial
Patch:        Linux-PAM-%{version}.dif
Patch1:       Linux-PAM-0.76-helper.patch
Patch2:       patch-Linux-PAM-0.76-laus.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.

Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

%prep
%setup -n Linux-PAM-%{version}
%patch
%patch1 -p1
%patch2 -p1
#
# Install extra PAM Modules:
#
cd modules
tar xjf $RPM_SOURCE_DIR/pam_localuser.tar.bz2
tar xjf $RPM_SOURCE_DIR/pam_xauth.tar.bz2
#
# Remove the pwdb modules
#
rm -rf pam_radius pam_pwdb
cd ../..

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -fPIC" \
./configure \
        --prefix=/ \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
        --libdir=/%{_lib} \
	--enable-docdir=%{_docdir}/pam \
        --enable-securedir=/%{_lib}/security \
        --enable-static-libpam \
        --enable-fakeroot=$RPM_BUILD_ROOT
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
make install
# Make sure every module built.
for dir in modules/pam_* ; do
if [ -d ${dir} ] ; then
        if ! ls -1 $RPM_BUILD_ROOT/%{_lib}/security/`basename ${dir}`*.so ; then
                echo ERROR `basename ${dir}` module did not build.
                exit 1
        fi
fi
done
# forcibly strip the helpers
strip $RPM_BUILD_ROOT/sbin/* ||:
# Install documentation
make -C doc install FAKEROOT=$RPM_BUILD_ROOT
# install securetty
%ifarch s390 s390x
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/securetty
%else
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc
%endif
# install other.pamd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/other
rm $RPM_BUILD_ROOT/%{_lib}/libpam.so
ln -sf ../../%{_lib}/libpam.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam.so
ln -sf libpam.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpamc.so
ln -sf ../../%{_lib}/libpamc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpamc.so
ln -sf libpamc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpamc.so.0
rm $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so
ln -sf ../../%{_lib}/libpam_misc.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libpam_misc.so
ln -sf libpam_misc.so.%{version} $RPM_BUILD_ROOT/%{_lib}/libpam_misc.so.0
mv -f $RPM_BUILD_ROOT/%{_lib}/libpam*.a $RPM_BUILD_ROOT%{_libdir}
#
# Install READMEs of PAM modules
#
DOC=$RPM_BUILD_ROOT%{_defaultdocdir}/pam
mkdir -p $DOC/modules
(
  cd modules;
  for i in pam_*/README ; do
    cp -fpv ${i} $DOC/modules/README.`dirname ${i}`
  done
)
#
# Install misc docu and md5.config
#
install -m 644 CHANGELOG Copyright README $RPM_SOURCE_DIR/README.{md5,blowfish,cracklib} $DOC

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/pam
%dir /etc/pam.d
%dir /etc/security
%config /etc/pam.d/other
%config /etc/securetty
%config(noreplace) /etc/security/access.conf
%config(noreplace) /etc/security/group.conf
%config(noreplace) /etc/security/limits.conf
%config(noreplace) /etc/security/pam_env.conf
%config(noreplace) /etc/security/time.conf
%doc %{_mandir}/man3/pam*
%doc %{_mandir}/man8/pam*
%doc %{_mandir}/man8/unix_chkpwd.8*
/%{_lib}/libpam.so.0
/%{_lib}/libpam.so.0.76
/%{_lib}/libpamc.so.0
/%{_lib}/libpamc.so.0.76
/%{_lib}/libpam_misc.so.0
/%{_lib}/libpam_misc.so.0.76
%dir /%{_lib}/security
/%{_lib}/security/pam_*.so
%dir /%{_lib}/security/pam_filter
/%{_lib}/security//pam_filter/upperLOWER
/sbin/pam_tally
%attr (2755,root,shadow)/sbin/unix_chkpwd

%changelog -n pam-laus
* Tue Dec 02 2003 - thomas@suse.de
- added changes to man-pages (EAL3)
* Mon Sep 29 2003 - thomas@suse.de
- removed unnecessary laus_close()
* Thu Sep 25 2003 - thomas@suse.de
-  added new patch from AtSec to make PAM log unknown users. This
  feature is *absolutely* needed to fullfil the CAPP requirements.
* Thu Sep 11 2003 - thomas@suse.de
- added fix for _pam_config.h
* Fri Aug 29 2003 - thomas@suse.de
- changed err to errno
* Fri Aug 29 2003 - thomas@suse.de
- added new patch from klaus@atsec.com
- new patch obsoletes patch-Linux-PAM-0.76-laus-Make.Rules.diff
* Tue Aug 19 2003 - thomas@suse.de
- added new patch for new audit-tag support
* Wed Jul 30 2003 - thomas@suse.de
- clone of pam package 0.76-96 for supporting the Linux Audit-Subsystem
  and for painless shipping with Service-Pack 3
